Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# AppStateManager.StateConflictResult

implements Result

com.google.android.gms.appstate.AppStateManager.StateConflictResult

## Class Overview

Result retrieved from `AppStateManager.StateResult` when a conflict is detected while loading app state. To resolve the conflict, call `resolve(GoogleApiClient, int, String, byte[])` with the new desired data and the value of `StateConflictResult#getResolvedVersion` provided here.

## Summary

Public Methods
abstract byte[] | getLocalData()
abstract String | getResolvedVersion()
abstract byte[] | getServerData()
abstract int | getStateKey()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract byte[] getLocalData ()

##### Returns

- Byte array containing the data that was saved locally on the device.

#### public abstract String getResolvedVersion ()

##### Returns

- Version token to pass for resolution.

#### public abstract byte[] getServerData ()

##### Returns

- Byte array containing the latest known data from the server.

#### public abstract int getStateKey ()

##### Returns

- The state key that had the conflict.